pass: Update from 1.7.2 to 1.7.3
This commit is contained in:
parent
f91900f1bf
commit
bc5f8b91d2
@ -1,14 +1,11 @@
|
||||
TERMUX_PKG_HOMEPAGE=https://www.passwordstore.org/
|
||||
TERMUX_PKG_HOMEPAGE=https://www.passwordstore.org
|
||||
TERMUX_PKG_DESCRIPTION="Lightweight directory-based password manager"
|
||||
TERMUX_PKG_VERSION=1.7.2
|
||||
TERMUX_PKG_REVISION=1
|
||||
TERMUX_PKG_SHA256=4768c5e1965c4d2aeb28818681e484fb105b6f46cbd75a97608615c4ec6980ea
|
||||
TERMUX_PKG_VERSION=1.7.3
|
||||
TERMUX_PKG_SHA256=2b6c65846ebace9a15a118503dcd31b6440949a30d3b5291dfb5b1615b99a3f4
|
||||
TERMUX_PKG_SRCURL=https://git.zx2c4.com/password-store/snapshot/password-store-${TERMUX_PKG_VERSION}.tar.xz
|
||||
TERMUX_PKG_BUILD_IN_SRC=yes
|
||||
# Depend on coreutils as pass uses [:graph:] when calling tr, which
|
||||
# busybox tr does not support:
|
||||
# Depend on coreutils as pass uses [:graph:] when calling tr, which busybox tr does not support:
|
||||
TERMUX_PKG_DEPENDS="bash, gnupg (>= 2.2.9-1), tree, coreutils"
|
||||
TERMUX_PKG_RECOMMENDS="git"
|
||||
TERMUX_PKG_SUGGESTS="pass-otp"
|
||||
TERMUX_PKG_PLATFORM_INDEPENDENT=yes
|
||||
TERMUX_PKG_EXTRA_MAKE_ARGS="PREFIX=$TERMUX_PREFIX"
|
||||
|
@ -1,6 +1,6 @@
|
||||
diff -u -r ../password-store-1.7.2/src/password-store.sh ./src/password-store.sh
|
||||
--- ../password-store-1.7.2/src/password-store.sh 2018-06-14 16:58:28.000000000 +0200
|
||||
+++ ./src/password-store.sh 2018-06-17 00:03:16.760901453 +0200
|
||||
diff -u -r ../password-store-1.7.3/src/password-store.sh ./src/password-store.sh
|
||||
--- ../password-store-1.7.3/src/password-store.sh 2018-08-03 03:32:48.000000000 +0000
|
||||
+++ ./src/password-store.sh 2018-08-05 20:53:50.490883332 +0000
|
||||
@@ -11,7 +11,7 @@
|
||||
export GPG_TTY="${GPG_TTY:-$(tty 2>/dev/null)}"
|
||||
which gpg2 &>/dev/null && GPG="gpg2"
|
||||
@ -14,17 +14,17 @@ diff -u -r ../password-store-1.7.2/src/password-store.sh ./src/password-store.sh
|
||||
# trailing new lines.
|
||||
local sleep_argv0="password store sleep on display $DISPLAY"
|
||||
pkill -f "^$sleep_argv0" 2>/dev/null && sleep 0.5
|
||||
- local before="$(xclip -o -selection "$X_SELECTION" 2>/dev/null | base64)"
|
||||
- local before="$(xclip -o -selection "$X_SELECTION" 2>/dev/null | $BASE64)"
|
||||
- echo -n "$1" | xclip -selection "$X_SELECTION" || die "Error: Could not copy data to the clipboard"
|
||||
+ local before="$(termux-clipboard-get 2>/dev/null | base64)"
|
||||
+ local before="$(termux-clipboard-get 2>/dev/null | $BASE64)"
|
||||
+ echo -n "$1" | termux-clipboard-set || die "Error: Could not copy data to the clipboard"
|
||||
(
|
||||
( exec -a "$sleep_argv0" bash <<<"trap 'kill %1' TERM; sleep '$CLIP_TIME' & wait" )
|
||||
- local now="$(xclip -o -selection "$X_SELECTION" | base64)"
|
||||
- [[ $now != $(echo -n "$1" | base64) ]] && before="$now"
|
||||
+ local now="$(termux-clipboard-get | base64)"
|
||||
+ #removing -n here, because termux-clipboard-get always returns a newline while xclip does not
|
||||
+ [[ $now != $(echo "$1" | base64) ]] && before="$now"
|
||||
- local now="$(xclip -o -selection "$X_SELECTION" | $BASE64)"
|
||||
- [[ $now != $(echo -n "$1" | $BASE64) ]] && before="$now"
|
||||
+ local now="$(termux-clipboard-get | $BASE64)"
|
||||
+ #removing -n here, because termux-clipboard-get always returns a newline while xclip does not
|
||||
+ [[ $now != $(echo "$1" | $BASE64) ]] && before="$now"
|
||||
|
||||
# It might be nice to programatically check to see if klipper exists,
|
||||
# as well as checking for other common clipboard managers. But for now,
|
||||
@ -32,8 +32,8 @@ diff -u -r ../password-store-1.7.2/src/password-store.sh ./src/password-store.sh
|
||||
# so we axe it here:
|
||||
qdbus org.kde.klipper /klipper org.kde.klipper.klipper.clearClipboardHistory &>/dev/null
|
||||
|
||||
- echo "$before" | base64 -d | xclip -selection "$X_SELECTION"
|
||||
+ echo "$before" | base64 -d | termux-clipboard-set
|
||||
- echo "$before" | $BASE64 -d | xclip -selection "$X_SELECTION"
|
||||
+ echo "$before" | $BASE64 -d | termux-clipboard-set
|
||||
) >/dev/null 2>&1 & disown
|
||||
echo "Copied $2 to clipboard. Will clear in $CLIP_TIME seconds."
|
||||
}
|
||||
|
Loading…
Reference in New Issue
Block a user